summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author dsomero <xgizzmo@slackbuilds.org>2012-09-30 12:49:22 -0400
committer Robby Workman <rworkman@slackbuilds.org>2012-09-30 20:01:10 -0500
commit9d0d6888c18fecb4470b9c9f09c99b6106ac637f (patch)
tree71ca3e23cb5b5ecbf7cca6a77853c1f0da41a9c1 /system
parentc20711d8f80d311bc3554e4fe8b517f89a1bfeea (diff)
downloadslackbuilds-9d0d6888c18fecb4470b9c9f09c99b6106ac637f.tar.gz
slackbuilds-9d0d6888c18fecb4470b9c9f09c99b6106ac637f.tar.xz
system/mrxvt: Fixed (Handle desktop file)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/mrxvt/doinst.sh6
-rw-r--r--system/mrxvt/mrxvt.SlackBuild6
2 files changed, 7 insertions, 5 deletions
diff --git a/system/mrxvt/doinst.sh b/system/mrxvt/doinst.sh
index bdee9c86f1..b95f8639ac 100644
--- a/system/mrxvt/doinst.sh
+++ b/system/mrxvt/doinst.sh
@@ -1,4 +1,3 @@
-
config() {
NEW="$1"
OLD="$(dirname $NEW)/$(basename $NEW .new)"
@@ -17,3 +16,8 @@ config etc/mrxvt/submenus.menu.new
config etc/mrxvt/mrxvtrc.new
config etc/mrxvt/mrxvtrc.sample.new
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+
diff --git a/system/mrxvt/mrxvt.SlackBuild b/system/mrxvt/mrxvt.SlackBuild
index aa952319f2..d9c3019680 100644
--- a/system/mrxvt/mrxvt.SlackBuild
+++ b/system/mrxvt/mrxvt.SlackBuild
@@ -4,19 +4,16 @@
# Written by Paul Wisehart wise@lupulin.net
-set -e
PKGNAM=mrxvt
VERSION=0.5.4
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -45,6 +42,7 @@ else
LIBDIRSUFFIX=""
fi
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT